Index: branches/MESI/modules/vci_mem_cache/caba/source/src/vci_mem_cache.cpp
===================================================================
--- branches/MESI/modules/vci_mem_cache/caba/source/src/vci_mem_cache.cpp	(revision 719)
+++ branches/MESI/modules/vci_mem_cache/caba/source/src/vci_mem_cache.cpp	(revision 785)
@@ -8205,10 +7969,10 @@
                     }
                     // CONFIG
-                    if(r_config_to_cc_send_multi_req.read())
+                    if (r_config_to_cc_send_multi_req.read())
                     {
                         r_cc_send_fsm = CC_SEND_CONFIG_INVAL_HEADER;
                         break;
                     }
-                    if(r_config_to_cc_send_brdcast_req.read())
+                    if (r_config_to_cc_send_brdcast_req.read())
                     {
                         r_cc_send_fsm = CC_SEND_CONFIG_BRDCAST_HEADER;
@@ -8216,5 +7980,5 @@
                     }
                     //xram
-                    if(m_xram_rsp_to_cc_send_inst_fifo.rok() or
+                    if (m_xram_rsp_to_cc_send_inst_fifo.rok() or
                             r_xram_rsp_to_cc_send_multi_req.read())
                     {
@@ -8222,5 +7986,5 @@
                         break;
                     }
-                    if(r_xram_rsp_to_cc_send_brdcast_req.read())
+                    if (r_xram_rsp_to_cc_send_brdcast_req.read())
                     {
                         r_cc_send_fsm = CC_SEND_XRAM_RSP_BRDCAST_HEADER;
@@ -8228,5 +7992,5 @@
                     }
                     //cas
-                    if(m_cas_to_cc_send_inst_fifo.rok() or
+                    if (m_cas_to_cc_send_inst_fifo.rok() or
                             r_cas_to_cc_send_multi_req.read())
                     {
@@ -8234,5 +7998,5 @@
                         break;
                     }
-                    if(r_cas_to_cc_send_brdcast_req.read())
+                    if (r_cas_to_cc_send_brdcast_req.read())
                     {
                         r_cc_send_fsm = CC_SEND_CAS_BRDCAST_HEADER;
@@ -8240,5 +8004,5 @@
                     }
                     // READ
-                    if((m_read_to_cc_send_inst_fifo.rok() or 
+                    if ((m_read_to_cc_send_inst_fifo.rok() or 
                             r_read_to_cc_send_multi_req.read()) and not cc_send_updt_delay)
                     {
@@ -8246,5 +8010,5 @@
                         break;
                     }
-                    if(r_read_to_cc_send_brdcast_req.read())
+                    if (r_read_to_cc_send_brdcast_req.read())
                     {
                         r_cc_send_fsm = CC_SEND_READ_BRDCAST_HEADER;
@@ -8257,7 +8021,8 @@
             case CC_SEND_CONFIG_INVAL_HEADER:   // send first flit multi-inval (from CONFIG FSM)
                 {
-                    if(m_config_to_cc_send_inst_fifo.rok())
-                    {
-                        if(not p_dspin_m2p.read) break;
+                    if (m_config_to_cc_send_inst_fifo.rok())
+                    {
+                        if (not p_dspin_m2p.read) break;
+
                         // <Activity Counters>
                         if (is_local_req(m_config_to_cc_send_srcid_fifo.read()))
@@ -8268,13 +8033,15 @@
                         {
                             m_cpt_minval_remote++;
-                            m_cpt_minval_cost += req_distance(m_config_to_cc_send_srcid_fifo.read());
-                        }
-                        // </Activity Counters>
-                        m_cpt_minval++;
+                        }
+                        // 2 flits for multi inval
+                        m_cpt_minval_cost += 2 * req_distance(m_config_to_cc_send_srcid_fifo.read());
                         // </Activity Counters>
                         r_cc_send_fsm = CC_SEND_CONFIG_INVAL_NLINE;
                         break;
                     }
-                    if(r_config_to_cc_send_multi_req.read()) r_config_to_cc_send_multi_req = false;
+                    if (r_config_to_cc_send_multi_req.read()) r_config_to_cc_send_multi_req = false;
+                    // <Activity Counters>
+                    m_cpt_minval++;
+                    // </Activity Counters>
                     r_cc_send_fsm = CC_SEND_CONFIG_IDLE;
                     break;
@@ -8283,10 +8050,10 @@
             case CC_SEND_CONFIG_INVAL_NLINE:    // send second flit multi-inval (from CONFIG FSM)
                 {
-                    if(not p_dspin_m2p.read) break;
+                    if (not p_dspin_m2p.read) break;
                     config_to_cc_send_fifo_get = true;
                     r_cc_send_fsm = CC_SEND_CONFIG_INVAL_HEADER;
 
 #if DEBUG_MEMC_CC_SEND
-                    if(m_debug)
+                    if (m_debug)
                         std::cout << "  <MEMC " << name()
                             << " CC_SEND_CONFIG_INVAL_NLINE> multi-inval for line "
@@ -8298,5 +8065,5 @@
             case CC_SEND_CONFIG_BRDCAST_HEADER:   // send first flit BC-inval (from CONFIG FSM)
                 {
-                    if(not p_dspin_m2p.read) break;
+                    if (not p_dspin_m2p.read) break;
                     r_cc_send_fsm = CC_SEND_CONFIG_BRDCAST_NLINE;
                     break;
@@ -8305,5 +8072,5 @@
             case CC_SEND_CONFIG_BRDCAST_NLINE:    // send second flit BC-inval (from CONFIG FSM)
                 {
-                    if(not p_dspin_m2p.read) break;
+                    if (not p_dspin_m2p.read) break;
                     // <Activity Counters>
                     m_cpt_binval++;
@@ -8313,5 +8080,5 @@
 
 #if DEBUG_MEMC_CC_SEND
-                    if(m_debug)
+                    if (m_debug)
                         std::cout << "  <MEMC " << name()
                             << " CC_SEND_CONFIG_BRDCAST_NLINE> BC-Inval for line "
@@ -8320,10 +8087,11 @@
                     break;
                 }
-                ///////////////////////////////////
-            case CC_SEND_XRAM_RSP_INVAL_HEADER:   // send first flit multi-inval (from XRAM_RSP FSM)
-                {
-                    if(m_xram_rsp_to_cc_send_inst_fifo.rok())
-                    {
-                        if(not p_dspin_m2p.read) break;
+            ///////////////////////////////////
+            case CC_SEND_XRAM_RSP_INVAL_HEADER:
+                // send first flit multi-inval (from XRAM_RSP FSM)
+                {
+                    if (m_xram_rsp_to_cc_send_inst_fifo.rok())
+                    {
+                        if (not p_dspin_m2p.read) break;
                         // <Activity Counters>
                         if (is_local_req(m_xram_rsp_to_cc_send_srcid_fifo.read()))
@@ -8334,14 +8102,16 @@
                         {
                             m_cpt_minval_remote++;
-                            m_cpt_minval_cost += req_distance(m_xram_rsp_to_cc_send_srcid_fifo.read());
-                        }
-                        // </Activity Counters>
-                        m_cpt_minval++;
+                        }
+                        // 2 flits for multi inval
+                        m_cpt_minval_cost += 2 * req_distance(m_xram_rsp_to_cc_send_srcid_fifo.read());
                         // </Activity Counters>
                         r_cc_send_fsm = CC_SEND_XRAM_RSP_INVAL_NLINE;
                         break;
                     }
-                    if(r_xram_rsp_to_cc_send_multi_req.read()) r_xram_rsp_to_cc_send_multi_req = false;
-
+                    if (r_xram_rsp_to_cc_send_multi_req.read()) r_xram_rsp_to_cc_send_multi_req = false;
+ 
+                    // <Activity Counters>
+                    m_cpt_minval++;
+                    // </Activity Counters>
                     r_cc_send_fsm = CC_SEND_XRAM_RSP_IDLE;
                     break;
@@ -8350,10 +8120,10 @@
             case CC_SEND_XRAM_RSP_INVAL_NLINE:   // send second flit multi-inval (from XRAM_RSP FSM)
                 {
-                    if(not p_dspin_m2p.read) break;
+                    if (not p_dspin_m2p.read) break;
                     xram_rsp_to_cc_send_fifo_get = true;
                     r_cc_send_fsm = CC_SEND_XRAM_RSP_INVAL_HEADER;
 
 #if DEBUG_MEMC_CC_SEND
-                    if(m_debug)
+                    if (m_debug)
                         std::cout << "  <MEMC " << name()
                             << " CC_SEND_XRAM_RSP_INVAL_NLINE> Multicast-Inval for line "
@@ -8365,5 +8135,5 @@
             case CC_SEND_XRAM_RSP_BRDCAST_HEADER:  // send first flit broadcast-inval (from XRAM_RSP FSM)
                 {
-                    if(not p_dspin_m2p.read) break;
+                    if (not p_dspin_m2p.read) break;
                     r_cc_send_fsm = CC_SEND_XRAM_RSP_BRDCAST_NLINE;
                     break;
@@ -8372,5 +8142,5 @@
             case CC_SEND_XRAM_RSP_BRDCAST_NLINE:   // send second flit broadcast-inval (from XRAM_RSP FSM)
                 {
-                    if(not p_dspin_m2p.read) break;
+                    if (not p_dspin_m2p.read) break;
                     // <Activity Counters>
                     m_cpt_binval++;
@@ -8380,5 +8150,5 @@
 
 #if DEBUG_MEMC_CC_SEND
-                    if(m_debug)
+                    if (m_debug)
                         std::cout << "  <MEMC " << name()
                             << " CC_SEND_XRAM_RSP_BRDCAST_NLINE> BC-Inval for line "
@@ -8390,5 +8160,5 @@
             case CC_SEND_READ_BRDCAST_HEADER:
                 {
-                    if(not p_dspin_m2p.read) break;
+                    if (not p_dspin_m2p.read) break;
                     // <Activity Counters>
                     m_cpt_binval++;
@@ -8399,5 +8169,5 @@
             case CC_SEND_READ_BRDCAST_NLINE:
                 {
-                    if(not p_dspin_m2p.read) break;
+                    if (not p_dspin_m2p.read) break;
                     r_read_to_cc_send_brdcast_req = false;
                     r_cc_send_fsm = CC_SEND_READ_IDLE;
@@ -8406,31 +8176,23 @@
             case CC_SEND_READ_MULTI_HEADER:
                 {
-                    if(m_read_to_cc_send_inst_fifo.rok())
-                    {
-                        if(not p_dspin_m2p.read) break;
+                    if (m_read_to_cc_send_inst_fifo.rok())
+                    {
+                        if (not p_dspin_m2p.read) break;
+
                         // <Activity Counters>
-                        if (is_local_req(m_read_to_cc_send_srcid_fifo.read()))
-                        {
-                            if(r_read_to_cc_send_type.read())
-                                m_cpt_minval_local ++;
-                            else
-                                m_cpt_update_local ++;
-                        }
-                        else
-                        {
-                            if(r_read_to_cc_send_type.read())
+                        if (r_read_to_cc_send_type.read()) {
+                            // Can be either an inval RO or a multi inval;
+                            // Counting only multi inval here
+                            if (is_local_req(m_read_to_cc_send_srcid_fifo.read()))
                             {
-                                m_cpt_minval_remote++;
-                                m_cpt_minval_cost += req_distance(m_read_to_cc_send_srcid_fifo.read());
+                                m_cpt_minval_local++;
                             }
                             else
                             {
-                                m_cpt_update_remote++;
-                                m_cpt_update_cost += req_distance(m_read_to_cc_send_srcid_fifo.read());
+                                m_cpt_minval_remote++;
                             }
-                        }
-                        // </Activity Counters>
-                        if(r_read_to_cc_send_type.read())
-                            m_cpt_minval++;
+                            // 2 flits for multi inval
+                            m_cpt_minval_cost += 2 * req_distance(m_read_to_cc_send_srcid_fifo.read());
+                        }
                         // </Activity Counters>
                         r_cc_send_fsm = CC_SEND_READ_MULTI_NLINE;
@@ -8438,9 +8200,12 @@
                     }
 
-                    if(r_read_to_cc_send_multi_req.read())
+                    if (r_read_to_cc_send_multi_req.read())
                     {
                        r_read_to_cc_send_multi_req = false;
                     }
 
+                    // <Activity Counters>
+                    m_cpt_minval++;
+                    // </Activity Counters>
                     r_cc_send_fsm = CC_SEND_READ_IDLE;
                     break;
@@ -8449,5 +8214,5 @@
             case CC_SEND_READ_MULTI_NLINE:
                 {
-                    if(not p_dspin_m2p.read) break;
+                    if (not p_dspin_m2p.read) break;
 
                     read_to_cc_send_fifo_get = true;
@@ -8455,5 +8220,5 @@
 
 #if DEBUG_MEMC_CC_SEND
-                    if(m_debug)
+                    if (m_debug)
                     {
                         std::cout
@@ -8469,5 +8234,5 @@
             case CC_SEND_WRITE_BRDCAST_HEADER:   // send first flit broadcast-inval (from WRITE FSM)
                 {
-                    if(not p_dspin_m2p.read) break;
+                    if (not p_dspin_m2p.read) break;
                     r_cc_send_fsm = CC_SEND_WRITE_BRDCAST_NLINE;
                     break;
@@ -8476,5 +8241,5 @@
             case CC_SEND_WRITE_BRDCAST_NLINE:   // send second flit broadcast-inval (from WRITE FSM)
                 {
-                    if(not p_dspin_m2p.read) break;
+                    if (not p_dspin_m2p.read) break;
 
                     // <Activity Counters>
@@ -8486,5 +8251,5 @@
 
 #if DEBUG_MEMC_CC_SEND
-                    if(m_debug)
+                    if (m_debug)
                         std::cout << "  <MEMC " << name()
                             << " CC_SEND_WRITE_BRDCAST_NLINE> BC-Inval for line "
@@ -8496,7 +8261,7 @@
             case CC_SEND_WRITE_INVAL_HEADER:   // send first flit for a multi-inval (from WRITE FSM)
                 {
-                    if(m_write_to_cc_send_inst_fifo.rok())
-                    {
-                        if(not p_dspin_m2p.read) break;
+                    if (m_write_to_cc_send_inst_fifo.rok())
+                    {
+                        if (not p_dspin_m2p.read) break;
                         // <Activity Counters>
                         if (is_local_req(m_write_to_cc_send_srcid_fifo.read()))
@@ -8507,8 +8272,7 @@
                         {
                             m_cpt_minval_remote++;
-                            m_cpt_minval_cost += req_distance(m_write_to_cc_send_srcid_fifo.read());
-                        }
-                        // </Activity Counters>
-                        m_cpt_minval++;
+                        }
+                        // 2 flits for multi inval
+                        m_cpt_minval_cost += 2 * req_distance(m_write_to_cc_send_srcid_fifo.read());
                         // </Activity Counters> 
                         r_cc_send_fsm = CC_SEND_WRITE_INVAL_NLINE;
@@ -8516,9 +8280,12 @@
                     }
 
-                    if(r_write_to_cc_send_multi_req.read())
+                    if (r_write_to_cc_send_multi_req.read())
                     {
                         r_write_to_cc_send_multi_req = false;
                     }
 
+                    // <Activity Counters> 
+                    m_cpt_minval++;
+                    // </Activity Counters> 
                     r_cc_send_fsm = CC_SEND_WRITE_IDLE;
                     break;
@@ -8527,10 +8294,10 @@
             case CC_SEND_WRITE_INVAL_NLINE:   // send second flit for a multi-update (from WRITE FSM)
                 {
-                    if(not p_dspin_m2p.read) break;
+                    if (not p_dspin_m2p.read) break;
                     write_to_cc_send_fifo_get = true;
                     r_cc_send_fsm = CC_SEND_WRITE_INVAL_HEADER;
 
 #if DEBUG_MEMC_CC_SEND
-                    if(m_debug)
+                    if (m_debug)
                         std::cout << "  <MEMC " << name()
                             << " CC_SEND_WRITE_INVAL_NLINE> Multicast-Inval for line "
@@ -8542,5 +8309,5 @@
             case CC_SEND_CAS_BRDCAST_HEADER:   // send first flit  broadcast-inval (from CAS FSM)
                 {
-                    if(not p_dspin_m2p.read) break;
+                    if (not p_dspin_m2p.read) break;
                     r_cc_send_fsm = CC_SEND_CAS_BRDCAST_NLINE;
                     break;
@@ -8549,5 +8316,5 @@
             case CC_SEND_CAS_BRDCAST_NLINE:   // send second flit broadcast-inval (from CAS FSM)
                 {
-                    if(not p_dspin_m2p.read) break;
+                    if (not p_dspin_m2p.read) break;
                     // <Activity Counters>
                     m_cpt_binval++;
@@ -8558,5 +8325,5 @@
 
 #if DEBUG_MEMC_CC_SEND
-                    if(m_debug)
+                    if (m_debug)
                         std::cout << "  <MEMC " << name()
                             << " CC_SEND_CAS_BRDCAST_NLINE> Broadcast-Inval for line "
@@ -8568,7 +8335,7 @@
             case CC_SEND_CAS_INVAL_HEADER:   // send first flit for a multi-update (from CAS FSM)
                 {
-                    if(m_cas_to_cc_send_inst_fifo.rok())
-                    {
-                        if(not p_dspin_m2p.read) break;
+                    if (m_cas_to_cc_send_inst_fifo.rok())
+                    {
+                        if (not p_dspin_m2p.read) break;
                         // <Activity Counters>
                         if (is_local_req(m_cas_to_cc_send_srcid_fifo.read()))
@@ -8579,8 +8346,7 @@
                         {
                             m_cpt_minval_remote++;
-                            m_cpt_minval_cost += req_distance(m_cas_to_cc_send_srcid_fifo.read());
-                        }
-                        // <Activity Counters>
-                        m_cpt_minval++;
+                        }
+                        // 2 flits for multi inval
+                        m_cpt_minval_cost += 2 * req_distance(m_cas_to_cc_send_srcid_fifo.read());
                         // </Activity Counters>
                         r_cc_send_fsm = CC_SEND_CAS_INVAL_NLINE;
@@ -8589,9 +8355,12 @@
 
                     // no more packets to send for the multi-update
-                    if(r_cas_to_cc_send_multi_req.read())
+                    if (r_cas_to_cc_send_multi_req.read())
                     {
                         r_cas_to_cc_send_multi_req = false;
                     }
 
+                    // <Activity Counters>
+                    m_cpt_minval++;
+                    // </Activity Counters>
                     r_cc_send_fsm = CC_SEND_CAS_IDLE;
                     break;
@@ -8600,10 +8369,10 @@
             case CC_SEND_CAS_INVAL_NLINE:   // send second flit for a multi-update (from CAS FSM)
                 {
-                    if(not p_dspin_m2p.read) break;
+                    if (not p_dspin_m2p.read) break;
                     cas_to_cc_send_fifo_get = true;
                     r_cc_send_fsm = CC_SEND_CAS_INVAL_HEADER;
 
 #if DEBUG_MEMC_CC_SEND
-                    if(m_debug)
+                    if (m_debug)
                         std::cout << "  <MEMC " << name()
                             << " CC_SEND_CAS_INVAL_NLINE> Multicast-Inval for line "
@@ -8627,13 +8396,13 @@
             case CC_RECEIVE_IDLE:
                 {
-                    if(not p_dspin_p2m.write) break;
+                    if (not p_dspin_p2m.write) break;
 
                     uint8_t type =
-                        DspinDhccpParam::dspin_get(
+                        DspinHmesiParam::dspin_get(
                                 p_dspin_p2m.data.read(),
-                                DspinDhccpParam::P2M_TYPE);
-
-                    if((type == DspinDhccpParam::TYPE_CLEANUP_DATA) or
-                            (type == DspinDhccpParam::TYPE_CLEANUP_INST))
+                                DspinHmesiParam::P2M_TYPE);
+
+                    if ((type == DspinHmesiParam::TYPE_CLEANUP_DATA) or
+                            (type == DspinHmesiParam::TYPE_CLEANUP_INST))
                     {
                         r_cc_receive_fsm = CC_RECEIVE_CLEANUP;
@@ -8641,5 +8410,5 @@
                     }
 
-                    if(type == DspinDhccpParam::TYPE_MULTI_ACK)
+                    if (type == DspinHmesiParam::TYPE_MULTI_ACK)
                     {
                         r_cc_receive_fsm = CC_RECEIVE_MULTI_ACK;
@@ -8658,9 +8427,9 @@
                     // write first CLEANUP flit in CC_RECEIVE to CLEANUP fifo
 
-                    if(not p_dspin_p2m.write or not m_cc_receive_to_cleanup_fifo.wok())
+                    if (not p_dspin_p2m.write or not m_cc_receive_to_cleanup_fifo.wok())
                         break;
 
                     cc_receive_to_cleanup_fifo_put = true;
-                    if(p_dspin_p2m.eop.read())
+                    if (p_dspin_p2m.eop.read())
                         r_cc_receive_fsm               = CC_RECEIVE_IDLE;
 
@@ -8672,5 +8441,5 @@
                     // write second CLEANUP flit in CC_RECEIVE to CLEANUP fifo
 
-                    if(not p_dspin_p2m.write or not m_cc_receive_to_cleanup_fifo.wok())
+                    if (not p_dspin_p2m.write or not m_cc_receive_to_cleanup_fifo.wok())
                         break;
 
@@ -8680,5 +8449,5 @@
 
                     cc_receive_to_cleanup_fifo_put = true;
-                    if(p_dspin_p2m.eop.read())
+                    if (p_dspin_p2m.eop.read())
                         r_cc_receive_fsm               = CC_RECEIVE_IDLE;
                     break;
@@ -8691,8 +8460,8 @@
 
                     // wait for a WOK in the CC_RECEIVE to MULTI_ACK fifo
-                    if(not p_dspin_p2m.write or not m_cc_receive_to_multi_ack_fifo.wok())
+                    if (not p_dspin_p2m.write or not m_cc_receive_to_multi_ack_fifo.wok())
                         break;
 
-                    if( p_dspin_p2m.eop.read()) 
+                    if (p_dspin_p2m.eop.read()) 
                         r_cc_receive_fsm             = CC_RECEIVE_IDLE;
 
@@ -8724,28 +8493,28 @@
             case TGT_RSP_CONFIG_IDLE:  // tgt_cmd requests have the highest priority
                 {
-                    if(r_tgt_cmd_to_tgt_rsp_req) r_tgt_rsp_fsm = TGT_RSP_TGT_CMD;
-                    else if(r_read_to_tgt_rsp_req)
+                    if (r_tgt_cmd_to_tgt_rsp_req) r_tgt_rsp_fsm = TGT_RSP_TGT_CMD;
+                    else if (r_read_to_tgt_rsp_req)
                     {
                         r_tgt_rsp_fsm = TGT_RSP_READ;
                         r_tgt_rsp_cpt = r_read_to_tgt_rsp_word.read();
                     }
-                    else if(r_write_to_tgt_rsp_req)     r_tgt_rsp_fsm = TGT_RSP_WRITE;
-                    else if(r_cas_to_tgt_rsp_req)       r_tgt_rsp_fsm = TGT_RSP_CAS;
-                    else if(r_xram_rsp_to_tgt_rsp_req)
+                    else if (r_write_to_tgt_rsp_req)     r_tgt_rsp_fsm = TGT_RSP_WRITE;
+                    else if (r_cas_to_tgt_rsp_req)       r_tgt_rsp_fsm = TGT_RSP_CAS;
+                    else if (r_xram_rsp_to_tgt_rsp_req)
                     {
                         r_tgt_rsp_fsm = TGT_RSP_XRAM;
                         r_tgt_rsp_cpt = r_xram_rsp_to_tgt_rsp_word.read();
                     }
-                    else if(r_multi_ack_to_tgt_rsp_req) 
+                    else if (r_multi_ack_to_tgt_rsp_req) 
                     {
                         r_tgt_rsp_fsm = TGT_RSP_MULTI_ACK;
                         r_tgt_rsp_cpt = r_multi_ack_to_tgt_rsp_word.read();
                     }
-                    else if(r_cleanup_to_tgt_rsp_req)  
+                    else if (r_cleanup_to_tgt_rsp_req)  
                     {
                         r_tgt_rsp_fsm = TGT_RSP_CLEANUP;
                         r_tgt_rsp_cpt = r_cleanup_to_tgt_rsp_first_word.read();
                     }
-                    else if(r_config_to_tgt_rsp_req)    r_tgt_rsp_fsm = TGT_RSP_CONFIG;
+                    else if (r_config_to_tgt_rsp_req)    r_tgt_rsp_fsm = TGT_RSP_CONFIG;
                     break;
                 }
@@ -8753,28 +8522,28 @@
             case TGT_RSP_TGT_CMD_IDLE: // read requests have the highest priority
                 {
-                    if(r_read_to_tgt_rsp_req)
+                    if (r_read_to_tgt_rsp_req)
                     {
                         r_tgt_rsp_fsm = TGT_RSP_READ;
                         r_tgt_rsp_cpt = r_read_to_tgt_rsp_word.read();
                     }
-                    else if(r_write_to_tgt_rsp_req)     r_tgt_rsp_fsm = TGT_RSP_WRITE;
-                    else if(r_cas_to_tgt_rsp_req)       r_tgt_rsp_fsm = TGT_RSP_CAS;
-                    else if(r_xram_rsp_to_tgt_rsp_req)
+                    else if (r_write_to_tgt_rsp_req)     r_tgt_rsp_fsm = TGT_RSP_WRITE;
+                    else if (r_cas_to_tgt_rsp_req)       r_tgt_rsp_fsm = TGT_RSP_CAS;
+                    else if (r_xram_rsp_to_tgt_rsp_req)
                     {
                         r_tgt_rsp_fsm = TGT_RSP_XRAM;
                         r_tgt_rsp_cpt = r_xram_rsp_to_tgt_rsp_word.read();
                     }
-                    else if(r_multi_ack_to_tgt_rsp_req) 
+                    else if (r_multi_ack_to_tgt_rsp_req) 
                     {
                         r_tgt_rsp_fsm = TGT_RSP_MULTI_ACK;
                         r_tgt_rsp_cpt = r_multi_ack_to_tgt_rsp_word.read();
                     }
-                    else if(r_cleanup_to_tgt_rsp_req)
+                    else if (r_cleanup_to_tgt_rsp_req)
                     {
                         r_tgt_rsp_fsm = TGT_RSP_CLEANUP;
                         r_tgt_rsp_cpt = r_cleanup_to_tgt_rsp_first_word.read();
                     }
-                    else if(r_config_to_tgt_rsp_req)    r_tgt_rsp_fsm = TGT_RSP_CONFIG;
-                    else if(r_tgt_cmd_to_tgt_rsp_req)   r_tgt_rsp_fsm = TGT_RSP_TGT_CMD;
+                    else if (r_config_to_tgt_rsp_req)    r_tgt_rsp_fsm = TGT_RSP_CONFIG;
+                    else if (r_tgt_cmd_to_tgt_rsp_req)   r_tgt_rsp_fsm = TGT_RSP_TGT_CMD;
                     break;
                 }
@@ -8782,24 +8551,24 @@
             case TGT_RSP_READ_IDLE: // write requests have the highest priority
                 {
-                    if(r_write_to_tgt_rsp_req)          r_tgt_rsp_fsm = TGT_RSP_WRITE;
-                    else if(r_cas_to_tgt_rsp_req)       r_tgt_rsp_fsm = TGT_RSP_CAS;
-                    else if(r_xram_rsp_to_tgt_rsp_req)
+                    if (r_write_to_tgt_rsp_req)          r_tgt_rsp_fsm = TGT_RSP_WRITE;
+                    else if (r_cas_to_tgt_rsp_req)       r_tgt_rsp_fsm = TGT_RSP_CAS;
+                    else if (r_xram_rsp_to_tgt_rsp_req)
                     {
                         r_tgt_rsp_fsm = TGT_RSP_XRAM;
                         r_tgt_rsp_cpt = r_xram_rsp_to_tgt_rsp_word.read();
                     }
-                    else if(r_multi_ack_to_tgt_rsp_req) 
+                    else if (r_multi_ack_to_tgt_rsp_req) 
                     {
                         r_tgt_rsp_fsm = TGT_RSP_MULTI_ACK;
                         r_tgt_rsp_cpt = r_multi_ack_to_tgt_rsp_word.read();
                     }
-                    else if(r_cleanup_to_tgt_rsp_req) 
+                    else if (r_cleanup_to_tgt_rsp_req) 
                     {
                         r_tgt_rsp_fsm = TGT_RSP_CLEANUP;
                         r_tgt_rsp_cpt = r_cleanup_to_tgt_rsp_first_word.read();
                     }
-                    else if(r_config_to_tgt_rsp_req)    r_tgt_rsp_fsm = TGT_RSP_CONFIG;
-                    else if(r_tgt_cmd_to_tgt_rsp_req)   r_tgt_rsp_fsm = TGT_RSP_TGT_CMD;
-                    else if(r_read_to_tgt_rsp_req)
+                    else if (r_config_to_tgt_rsp_req)    r_tgt_rsp_fsm = TGT_RSP_CONFIG;
+                    else if (r_tgt_cmd_to_tgt_rsp_req)   r_tgt_rsp_fsm = TGT_RSP_TGT_CMD;
+                    else if (r_read_to_tgt_rsp_req)
                     {
                         r_tgt_rsp_fsm = TGT_RSP_READ;
@@ -8811,28 +8580,28 @@
             case TGT_RSP_WRITE_IDLE: // cas requests have the highest priority
                 {
-                    if(r_cas_to_tgt_rsp_req)            r_tgt_rsp_fsm = TGT_RSP_CAS;
-                    else if(r_xram_rsp_to_tgt_rsp_req)
+                    if (r_cas_to_tgt_rsp_req)            r_tgt_rsp_fsm = TGT_RSP_CAS;
+                    else if (r_xram_rsp_to_tgt_rsp_req)
                     {
                         r_tgt_rsp_fsm = TGT_RSP_XRAM;
                         r_tgt_rsp_cpt = r_xram_rsp_to_tgt_rsp_word.read();
                     }
-                    else if(r_multi_ack_to_tgt_rsp_req) 
+                    else if (r_multi_ack_to_tgt_rsp_req) 
                     {
                         r_tgt_rsp_fsm = TGT_RSP_MULTI_ACK;
                         r_tgt_rsp_cpt = r_multi_ack_to_tgt_rsp_word.read();
                     }
-                    else if(r_cleanup_to_tgt_rsp_req)
+                    else if (r_cleanup_to_tgt_rsp_req)
                     {
                         r_tgt_rsp_fsm = TGT_RSP_CLEANUP;
                         r_tgt_rsp_cpt = r_cleanup_to_tgt_rsp_first_word.read();
                     }
-                    else if(r_config_to_tgt_rsp_req)    r_tgt_rsp_fsm = TGT_RSP_CONFIG;
-                    else if(r_tgt_cmd_to_tgt_rsp_req)   r_tgt_rsp_fsm = TGT_RSP_TGT_CMD;
-                    else if(r_read_to_tgt_rsp_req)
+                    else if (r_config_to_tgt_rsp_req)    r_tgt_rsp_fsm = TGT_RSP_CONFIG;
+                    else if (r_tgt_cmd_to_tgt_rsp_req)   r_tgt_rsp_fsm = TGT_RSP_TGT_CMD;
+                    else if (r_read_to_tgt_rsp_req)
                     {
                         r_tgt_rsp_fsm = TGT_RSP_READ;
                         r_tgt_rsp_cpt = r_read_to_tgt_rsp_word.read();
                     }
-                    else if(r_write_to_tgt_rsp_req)     r_tgt_rsp_fsm = TGT_RSP_WRITE;
+                    else if (r_write_to_tgt_rsp_req)     r_tgt_rsp_fsm = TGT_RSP_WRITE;
                     break;
                 }
